Skip to content
English

Update a role

PATCH
/system/roles/{ID}
curl --request PATCH \
--url https://example.com/api/v1/system/roles/1 \
--header 'Content-Type: application/json' \
--cookie grommunioAuthJwt=<grommunioAuthJwt> \
--data '{ "name": "example", "description": "example", "permissions": [ { "ID": 1, "permission": "example" } ], "users": [ 1 ] }'
ID
required
integer

ID of the object

X-Csrf-Token
string

CSRF Token

Media typeapplication/json
object
name
string
description
string
nullable
permissions
Array<object>
object
ID
integer
permission
string
users

List of user IDs to associate with the role

Array<integer>
Examplegenerated
{
"name": "example",
"description": "example",
"permissions": [
{
"ID": 1,
"permission": "example"
}
],
"users": [
1
]
}

Role updated

Media typeapplication/json
object
ID

Unique ID of the object

integer
name
string
<= 32 characters
description
string
nullable <= 256 characters
permissions

List of permissions associated with the role

Array<object>
object
ID
integer
permission
string
users

List of users associated with the role

Array<object>
object
ID

Unique ID of the object

integer
username
string
Examplegenerated
{
"name": "example",
"description": "example",
"permissions": [
{
"ID": 1,
"permission": "example"
}
],
"users": [
{
"username": "example"
}
]
}

Validation of input parameters failed

Media typeapplication/json
object
message
string
errors

List of errors encountered during validation

Array<string>
Examplegenerated
{
"message": "example",
"errors": [
"example"
]
}

The requested resource could not be found

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

An error occurred while processing the request

Media typeapplication/json
object
message

String representation of the exception

string
Examplegenerated
{
"message": "example"
}

The database query failed

Media typeapplication/json
object
message

Description of the error

string
Examplegenerated
{
"message": "example"
}